DefaultGrailsApplicationAttributes (Grails 5.1.2)

Package: org.grails.web.servlet

## [Java] Class DefaultGrailsApplicationAttributes

- org.grails.web.servlet.DefaultGrailsApplicationAttributes

- All Implemented Interfaces and Traits:
    GrailsApplicationAttributes

      public class DefaultGrailsApplicationAttributes
      extends java.lang.Object
      implements GrailsApplicationAttributes

  Holds knowledge about how to obtain certain attributes from either the ServletContext or the HttpServletRequest instance.

  See Also:
    GrailsWebRequest
  Authors:
    Graeme Rocher
  Since:
    0.3

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected static java.lang.String` | `DEFAULT_NAMESPACE` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DefaultGrailsApplicationAttributes (javax.servlet.ServletContext context)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public org.springframework.context.ApplicationContext` | `getApplicationContext()`
    `` | `public java.lang.String` | `getApplicationUri(javax.servlet.ServletRequest request)` deprecated: Use instead
    `` | `public groovy.lang.GroovyObject` | `getController(javax.servlet.ServletRequest request)`
    `` | `public java.lang.String` | `getControllerActionUri(javax.servlet.ServletRequest request)`
    `` | `public java.lang.String` | `getControllerUri(javax.servlet.ServletRequest request)`
    `` | `public org.springframework.validation.Errors` | `getErrors(javax.servlet.ServletRequest request)`
    `` | `public FlashScope` | `getFlashScope(javax.servlet.ServletRequest request)`
    `` | `public GrailsApplication` | `getGrailsApplication()`
    `` | `public GroovyPagesUriService` | `getGroovyPagesUriService()`
    `` | `public org.springframework.context.MessageSource` | `getMessageSource()`
    `` | `public java.lang.String` | `getNoSuffixViewURI(groovy.lang.GroovyObject controller, java.lang.String viewName)`
    `` | `public java.io.Writer` | `getOut(javax.servlet.http.HttpServletRequest request)`
    `` | `public org.grails.gsp.ResourceAwareTemplateEngine` | `getPagesTemplateEngine()`
    `` | `public java.lang.String` | `getPluginContextPath(javax.servlet.http.HttpServletRequest request)`
    `` | `public javax.servlet.ServletContext` | `getServletContext()`
    `` | `public java.lang.String` | `getTemplateURI(groovy.lang.GroovyObject controller, java.lang.String templateName)`
    `` | `public java.lang.String` | `getTemplateURI(groovy.lang.GroovyObject controller, java.lang.String templateName, boolean includeExtension)`
    `` | `public java.lang.String` | `getTemplateUri(java.lang.CharSequence templateName, javax.servlet.ServletRequest request)`
    `` | `public java.lang.String` | `getViewUri(java.lang.String viewName, javax.servlet.http.HttpServletRequest request)`
    `` | `public void` | `setOut(javax.servlet.http.HttpServletRequest request, java.io.Writer out2)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### protected static final java.lang.String DEFAULT_NAMESPACE

  - ### Constructor Detail

    - #### public DefaultGrailsApplicationAttributes(javax.servlet.ServletContext context)

  - ### Method Detail

    - #### public org.springframework.context.ApplicationContext getApplicationContext()

    - #### @java.lang.Deprecated public java.lang.String getApplicationUri(javax.servlet.ServletRequest request)

      deprecated:
        Use instead
      Parameters:
        `request` - The Servlet Reqest
      Returns:
        The Application URI

    - #### public groovy.lang.GroovyObject getController(javax.servlet.ServletRequest request)

    - #### public java.lang.String getControllerActionUri(javax.servlet.ServletRequest request)

    - #### public java.lang.String getControllerUri(javax.servlet.ServletRequest request)

    - #### public org.springframework.validation.Errors getErrors(javax.servlet.ServletRequest request)

    - #### public FlashScope getFlashScope(javax.servlet.ServletRequest request)

    - #### public GrailsApplication getGrailsApplication()

    - #### public GroovyPagesUriService getGroovyPagesUriService()

    - #### public org.springframework.context.MessageSource getMessageSource()

    - #### public java.lang.String getNoSuffixViewURI(groovy.lang.GroovyObject controller, java.lang.String viewName)

    - #### public java.io.Writer getOut(javax.servlet.http.HttpServletRequest request)

    - #### public org.grails.gsp.ResourceAwareTemplateEngine getPagesTemplateEngine()

    - #### public java.lang.String getPluginContextPath(javax.servlet.http.HttpServletRequest request)

    - #### public javax.servlet.ServletContext getServletContext()

    - #### public java.lang.String getTemplateURI(groovy.lang.GroovyObject controller, java.lang.String templateName)

    - #### @java.lang.Override public java.lang.String getTemplateURI(groovy.lang.GroovyObject controller, java.lang.String templateName, boolean includeExtension)

    - #### public java.lang.String getTemplateUri(java.lang.CharSequence templateName, javax.servlet.ServletRequest request)

    - #### public java.lang.String getViewUri(java.lang.String viewName, javax.servlet.http.HttpServletRequest request)

    - #### public void setOut(javax.servlet.http.HttpServletRequest request, java.io.Writer out2)